--	流星蝴蝶剑.net3dsmax地图辅助小工具
--	包含标准身高(默认单位下36 ~ 37)
--	包含net联机地图最大范围模板
--	坐标轴最大范围（x = -3276~3276，Y = -3276~3276，Z = -1020~1020（-3276~3276））
--	包含各种流星蝴蝶剑.net3dsmax导出导入脚本
--	运行环境3dsmax2016-2022
--
--	v1.0.2_C221111_支持3dsmax2016-2022，一些小修改
--	v1.0.1_C221110_更新脚本、一些其他小修改
--	V1.0.0_C221108
--	
rollout LXRollout "流星.net3dsmax辅助小工具" width:238 height:490
(
	groupBox 'fuzhu' "辅助" pos:[4,0] width:230 height:100 align:#left
	groupBox 'import' "导入" pos:[4,100] width:230 height:140 align:#left
	groupBox 'export' "导出" pos:[4,240] width:230 height:180 align:#left
	groupBox 'Fileupdate' "更新" pos:[4,420] width:230 height:65 align:#left

--辅助
	button 'BODY_height' "标准身高辅助" pos:[35,20] width:174 height:26 align:#left
	button 'NET' "联机地图范围" pos:[35,60] width:174 height:26 align:#left
	
--导入
	button 'Importgmb' "导入gmb_gmc模型" pos:[35,120] width:174 height:26 align:#left
	button 'Importskc' "导入skc模型" pos:[35,160] width:174 height:26 align:#left
	button 'Importamb' "导入导出amb动作" pos:[35,200] width:174 height:26 align:#left

--导出
	button 'Exportgmb' "导出模型" pos:[35,260] width:174 height:26 align:#left
	button 'Exportskc' "导出skc" pos:[35,300] width:174 height:26 align:#left
	button 'Exporttrc' "导出trc v0.7修改版" pos:[35,340] width:174 height:26 align:#left
	button 'Exportmc' "导出mc v0.5修改版" pos:[35,380] width:174 height:26 align:#left
	
--更新
	label titleLabe01 "脚本库更新时间:20221111" pos:[50,440] width:180 heigth:16
	label titleLabe02 "Ver 1.0.2" pos:[100,450] width:100 height:16
	
--超链	
	HyperLink add0 "更多工具请访问流星资源网" pos:[50,465] width:180 height:16 address:"www.lxres.com" color:(color 94 234 255) hovercolor:(color 255 0 0)
	
------------------------------------------------------------------------------

--创建标准身高辅助
	on BODY_height pressed do
		(
		mybox = box length:37 width:37 height:37
	)
	
--创建地图最大范围辅助模板
	on NET pressed do
		(
		netBOX = box length:6548 width:6548 height:1020
	)

------------------------------------------------------------------------------
	
--调用脚本导入gmb模型
	on Importgmb pressed do
	(
		try filein "$scripts\\lx\\import\\流星gmc_gmb模型导入.ms" catch(messageBox "..\script\lx\Import\文件夹下没有找到模型导入脚本！")
	)
	
--调用脚本导入skc(人物)模型
	on Importskc pressed do
	(
		try filein "$scripts\\lx\\import\\导入_流星skc模型.ms" catch(messageBox "..\script\lx\Import\文件夹下没有找到流星skc导入脚本！")
	)
	
--调用脚本导入导出amb动作库
	on Importamb pressed do
	(
		try filein "$scripts\\lx\\import\\流星AMB动作导入导出脚本.ms" catch(messageBox "..\script\lx\Import\文件夹下没有找到AMB导入脚本！")
	)
	
------------------------------------------------------------------------------
	
--调用脚本导出gmb脚本
	on Exportgmb pressed do
	(
		try filein "$scripts\\lx\\export\\流星模型导出.ms" catch(messageBox "..\script\lx\export\文件夹下没有找到模型导出脚本！")
	)

--调用脚本导出skc人物模型
	on Exportskc pressed do
	(
		try filein "$scripts\\lx\\export\\流星人物_skc_bnc导出脚本.ms" catch(messageBox "..\script\lx\export\文件夹下没有找到skc导出脚本！")
	)
	
--调用脚本导出trc特效辅助轨迹
	on Exporttrc pressed do
	(
		try filein "$scripts\\lx\\export\\3DMax导出Trc流星特效轨迹0.7.ms" catch(messageBox "..\script\lx\export\文件夹下没有找到轨迹导出脚本！")
	)
	
--调用脚本导出mc(UI)模型
	on Exportmc pressed do
	(
		try filein "$scripts\\lx\\export\\导出_流星mc菜单.ms" catch(messageBox "..\script\lx\export\文件夹下没有找到mc导出脚本！")
	)
	

)

createDialog LXRollout